Skip to main content
GET
/
rewards
/
markets
/
current
Get current active rewards configurations
curl --request GET \
  --url https://clob.polymarket.com/rewards/markets/current
{
  "limit": 500,
  "count": 1,
  "next_cursor": "LTE=",
  "data": [
    {
      "condition_id": "0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af",
      "rewards_max_spread": 99,
      "rewards_min_size": 10,
      "rewards_config": [
        {
          "id": 0,
          "asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
          "start_date": "2024-03-01",
          "end_date": "2500-12-31",
          "rate_per_day": 2,
          "total_rewards": 92
        },
        {
          "id": 0,
          "asset_address": "0x69308FB512518e39F9b16112fA8d994F4e2Bf8bB",
          "start_date": "2024-03-01",
          "end_date": "2500-12-31",
          "rate_per_day": 1,
          "total_rewards": 46
        }
      ],
      "sponsored_daily_rate": 0.5,
      "sponsors_count": 2,
      "native_daily_rate": 2.5,
      "total_daily_rate": 3
    }
  ]
}

Query Parameters

sponsored
boolean
default:false

If true, returns sponsored reward configurations instead of standard ones

next_cursor
string

Pagination cursor from previous response

Response

Successfully retrieved current rewards configurations

Paginated list of current reward configurations

limit
integer
required

Maximum number of items per page

count
integer
required

Number of items in the current response

next_cursor
string
required

Cursor for the next page. "LTE=" indicates the last page.

data
object[]
required